require "numru/dcl"

module Viewer

  require "narray"
  include NMath

  attr_accessor :x, :y

  def open_device

    gropn(1)

  end

  def new_frame

    grfrm

  end

  def set_title(xtitle, xunit, ytitle, yunit)

    ussttl(xtitle, xunit, ytitle, yunit)

  end

  def draw_axis(x,y)

    usdax(x,y)

  end

  def draw_line(x,y)

    uulin(x,y)

  end

  def close_device

    Dev.close

  end

end


#    require "module-viewer.rb"
#    include Viewer

#    def draw
#      Viewer::open_device
#      Viewer::new_frame

#      Viewer::set_title('X-TITLE', 'x-unit', 'Y-TITLE', 'y-unit')

#      Viewer::draw_axis(@x, @y)
#      Viewer::draw_line(@x, @y)

#      Viewer::close_device
#    end
